/*
CSS Tooltip
http://codepen.io/cbracco/pen/ZbEMOY
https://chrisbracco.com/a-simple-css-tooltip/
http://www.w3schools.com/css/css_tooltip.asp
http://www.cssportal.com/css-tooltip-generator/

*/
#headerContainer, #pdfviewContainer
	background-color #eee
	position relative
	z-index 200

	.row
	p
		margin 0px !important

	.kriyaMenuBlock .kriyaSubMenuContainer .btnGroupContainer .btn-group .tbl-container [class^="icon"].icon-pencil{
		top 0.6rem
	}
	.kriyaMenuBlock{
		.menuBar{
		background-color: #f5f5f5;
		border-bottom: 1px solid rgba(167,163,163,0.75);
		border-top: 2px solid #a2acb133;
		padding: 1px 0 1px 0 !important;
		font-size: 0.92rem;
		line-height: 0.92rem;
		}
		.kriyaMenuContainer{
			background-color #FFF
			color rgb(68, 68, 68)
			font-size 0.92rem
			//height 2.5rem
			line-height 0.92rem

			.kriyaMenuLogo{
				background-color #fff
				box-shadow 3px 0 2px -2px rgba(39,36,36,0.5)
				float left
				height 3.5rem
				margin-right 5px
				padding 1px
				width 6.5rem

				.kriyaLogo{
					height 100%
				}
			}

			.kriyaMenuStatic
			.kriyaMenu{
				background-color #CCC
				display inline-block
				font-size 0.92rem
				//height 2.5rem
				line-height 0.92rem
				padding-top 0.8rem

				a
				.btn-group{
					background-color #CCC
					color rgb(68, 68, 68)
					display inline-block
					font-weight bold
					padding 5px 15px 5px 15px
					text-decoration none
				}
			}

			.kriyaMenuStatic {
				border-right: 1px solid rgba(39,36,36,0.3)
				box-shadow: 3px 0 2px -3px rgba(39,36,36,0.5)
				float: left;
				height 3.5rem
				margin-right: 0.4rem;
				padding 1.6rem 5px 0px 5px
				.mnuButtons {
					border 1px solid transparent
					display inline-block
					font-size 1.3rem
					min-width 1.75rem
					height 2rem
					padding 4px
				}
				.mnuButtons:hover {
					box-shadow: 0 1px 1px rgba(0,0,0,.1);
					background-color: #f8f8f8;
					cursor pointer
				}
			}

			.kriyaMenu.active{
				a{
					background-color $base-color
					color: white
				}
			}

			.kriyaMenuBar{
				cursor default
				display inline-block
				font-size 13px
				white-space nowrap
				padding 10px 5px 4px
				margin-top 2px
				font-family "Helvetica", "Arial", sans-serif
				width: 100%
	}
		}

				.kriyaMenuControl{
					position: relative;

					.kriyaMenuBtn{
						padding 3px 7px 3px 7px
						margin-top 2px
						border 1px solid transparent
						outline none
						color #404040
						position relative
					}
					.kriyaMenuBtn:hover{
						background #eee
					}
					.kriyaMenuItems{
						transition: opacity 0.218s;
						display none
				.mnuButtons {
					display inline !important
					padding-bottom 0px !important
					}
			}
					.kriyaMenuSeperator{
						border-top: 1px solid #ebebeb;
						margin-top: 6px;
						margin-bottom: 6px;
					}
				}
				.kriyaMenuHead{
					font-size: 25px;
					padding-right: 24px;
				}
				.kriyaMenuControl.active{
					.kriyaMenuBtn{
						background: #fff;
						border: 1px solid rgba(0,0,0,0.2);
						border-bottom: none;
						padding-bottom: 5px;
						color: #000;
						z-index: 1003;
					}
					.kriyaMenuItems{
						border-radius: 0;
						box-shadow: 0 2px 4px rgba(0,0,0,0.2);
						background: #fff;
						border: 1px solid rgba(0,0,0,0.2);
						cursor: default;
						font-size: 13px;
						padding: 6px 0;
						margin-top: 6px;
						position: absolute;
						z-index: 10;
						opacity: 1;
						left: 0px;
						display: block;

						.kriyaMenuItem{
							position: relative;
							color: #333;
							cursor: pointer;
							list-style: none;
							margin: 0;
							padding: 6px 4em 6px 20px;
							white-space: nowrap;
						}
						.kriyaMenuItem:hover{
							background #eee
						}
					}
				}

		.action-btn{
			margin 6px 6px 0px 0px
			float right
			padding 1px 6px
			font-size 1rem !important
			line-height 26px !important
			background #0d618b
		}

		.ms-notice {
		    border-radius: 3px;
			background: lightgray;
			line-height: 25px !important;
			font-weight: 600;
			color: gray;
		}

		.kriyaSubMenuContainer{
			background-color #F5F5F5
			border-bottom 1px solid rgba(167, 163, 163, 0.75)
			border-top 2px solid $base-color
			padding 1px 0 1px 0 !important
			font-size 0.92rem
			line-height 0.92rem

			.btnGroupContainer{
				border-right: 1px solid rgba(167,163,163,0.75);
				display: block;
				font-size: 11px;
				float: left;
				min-width: 6rem;
				padding: 5px;
				position: relative;
				margin-top: 1px;

				@media screen and (max-width: 1000px){
					padding: 3px;
				}

				.btn-group {
					display block
					height 2rem
					padding 2px
					text-align center

					@import "./toolbar/table.styl"

					&:hover{
						cursor pointer
					}
					.btn-sub-group{
						display block
						float left
					}
					.text-color-icon {
						width: 2rem;
					    border: 1px solid #000;
					    padding: 2px;
					    float: left;
					    margin-right: 5px;
					    font-size: large;
					    color: #16a1e7;
					}
					.mnuButtons {
						color: darken($base-color, 60%)
						border 1px solid #F5F5F5
						display inline-block
						font-size 1.3rem
						min-width 1.75rem
						margin-top 0px
						height 2rem
						padding 4px

						@media screen and (max-width: 1000px){
							padding: 2px
						}
						&[data-activates="bk-color-picker"] .material-icons{
							font-size 1.6rem
							line-height 8px
						}
					}
					.mnuButtons.active{
						box-shadow 0px 0px 3px 0px #292929
					}
					.mnuButtons:hover {
						box-shadow: 0 1px 1px rgba(0,0,0,.1);
						background-color: #f8f8f8;
						border-color: #c6c6c6!important;
						cursor pointer
					}
					.mnuButtons + .mnuButtons {
						margin-left 4px
					}
					div[data-color] .icon-check {
						font-weight bolder
					    font-size initial
					    padding 3px
					    color white
					}
				}

				.btn-group-caption {
					bottom 0
					font-size 0.65rem
					line-height 0.65rem
					left 0
					position absolute
					right 0
					text-align center
					text-shadow 0px 1px 0px rgba(255,255,255,.5)
					text-transform uppercase
				}
			}
		}
		@import './navigation/buttons.styl'

		.navDivContent > .tab-data {
			display none
			padding 0px
			float left
			height 100%
		}
		.navDivContent > .first-tab-data.tab-data {
			display block
		}
		input.navi-buttons + label {
			background #ccc
			color darken($base-color, 60%)
			font-size 1.1rem
			height 2.5rem
			line-height inherit !important
			margin 1rem 0px 0px 0px !important
			padding 0.8rem !important
			width 8rem;
			transition: all ease 0.8s
		}

		input.navi-buttons:checked + label {
			color lighten($base-color, 100%)
			background $base-color
		}
		input.navi-buttons + label:hover {
			font-size 0.9rem
		}
	}
.mnuButtons {
	.icon-group-wrapper {
		display inline-block
		margin-top -2px !important
		position relative !important

		.first {
			font-size 1.7rem !important
		}

		.last {
			bottom: 0.5rem;
			font-size: 0.9rem;
			left: 0.4rem;
			position: absolute;
		}
	}
}

.findSection {
	background rgba(235, 235, 235, 0.25)

	.search{
		margin-right: -3px;
		margin-left: 3px;
	}
	.reset-css.search, .reset-css.replace{
		border none
		height 2.37rem
		padding 0.6rem
		width 50%
		margin 0px
		font-size 12px
		display: inline-block
		white-space: nowrap;
    	overflow: hidden;
	}
	.reset-css.replace{
		width 100%
	}
	button.search {
		background #fff;
		border: 0;
		color: inherit;
		cursor: pointer;
		height 2.4rem
		overflow: visible;
		padding: 0;
		position: relative;
		width: 2rem;
		&:before{
			content: '';
			position: absolute;
			border-width: 8px 8px 8px 0;
			border-style: solid solid solid none;
			border-color: transparent $base-color transparent;
			top: 0.5rem;
			left: -0.5rem;
		}
		&:hover {
			background darken($base-color, 20%)
			&:before{
				border-color: transparent darken($base-color, 20%) transparent;
			}
		}
	}
	button.search-dropdown {
		background #fff;
		border: 0;
		//color: white;
		cursor: pointer;
		height 2.4rem
		overflow: visible;
		padding: 0;
		position: relative;
		width: 2rem;
		&:hover {
			background darken($base-color, 20%)
		}
		@media screen and (max-width: 1000px){
			width: 1.8rem
		}
	}
	.searchModal{
		display block
		border: 1px solid #d4d4d4;
		//border-radius: 4px;
		background: #fff;
	}
	.findModal{
		display block
		margin-top 5px
		border: 1px solid #d4d4d4;
		//border-radius: 4px;
		background: #fff;
	}
	.findAction .row{
		margin 8px 0px 3px !important
		text-align center
		font-size 12px;
	}
	.findAction .btn-medium{
		margin-left 3px !important
		background $base-color !important
	}
	.wholeWord, .matchCase, .inselection{
	    position: relative;
		left: 0px;
		top: 2px;
		opacity: 1;
	}
	.icon-close{
		display: block;
		float: right;
    	font-size: 1.3rem;
	}
	.btn.disabled{
		background: #DFDFDF !important;
    	color: #9F9F9F !important;
	}

	.btn:focus {outline: #16a1e7 solid 2px;}

	input:focus{outline: #6dbce4 solid 1px;}

	select:focus {outline: #6dbce4 solid 1px;}
}

#order-list-dropdown, #unorder-list-dropdown, #change-content-case {
	top: 35px !important;
}
.dropdown-content.export {
	background rgb(13, 97, 139)

	li {
		position relative
		margin 0
		padding 6px 5px 6px 10px
		color #f5f5f5
		min-height 36px
		line-height 1.0rem
		border-top 2px solid white
	}

	li:hover {
		background-color #168cc7
	}
}

#proofviewDivNode {
 .pdfViewHeader {
	padding: 0px 0px 3px 7px !important;
    background-color: #d4d4d4;

 	.pdfViewMenu {
		margin: 6px 6px 0px 0px;
		float: right;
		padding: 1px 6px;
		font-size: 1rem !important;
		line-height: 26px !important;
		}
	.updateNotice{
		color: #2d29b8;
		display: inline-block;
		margin-left: 14px;
    		margin-top: 10px;
		padding-right: 10px;
		max-width: 270px;
		overflow: hidden;
		vertical-align: text-bottom;
		white-space: nowrap;
		user-select: none;
 }
 }
}